## Apache Zeta Components Manual :: Docs For Class ezcWebdavPluginPreconditionFailedException

### Webdav::ezcWebdavPluginPreconditionFailedException

### Class ezcWebdavPluginPreconditionFailedException

Exception thrown if a plugin precondition failed.

This exception is thrown if a plugin should be used in ezcWebdavServer, which find one of its preconditions not fulfilled. All preconditions for a plugin should be checked during intialization phase in eczWebdavPluginConfiguration::init().

Source for this file: /Webdav/src/exceptions/plugin_precondition_failed.php

    Exception
       |
       --ezcBaseException
          |
          --ezcWebdavException
             |
             --ezcWebdavPluginPreconditionFailedException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcWebdavPluginPreconditionFailedException | `__construct( $pluginNamespace , $reason )` Creates a new exception.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcWebdavPluginPreconditionFailedException __construct( string $pluginNamespace , string $reason )

Creates a new exception.

Creates a new exception for the plugin with $pluginNamespace for which a precondition failed due to $reason.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$pluginNamespace` | string |
`$reason` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3